Attribute VB_Name = "Keyb"
' Copyright
' Marcel Sondaar

' Feel free to distribute this file as long as it remains in
' the original (ZIP) form
' Use this at your own risk
' If you like it, send me a message at marcel_willem@hotmail.com ;)

' Usage:
' The key's states are stored in Key(...)
' This array is updated everytime you call GetKeys


Private Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Private Declare Function GetKeyState Lib "user32" (ByVal nVirtKey As Long) As Integer

Global Key(1 To 255) As Boolean

Public Const KEY_Left = 37
Public Const KEY_Right = 39
Public Const KEY_Up = 38
Public Const KEY_Down = 40

Public Const KEY_Shift = 16
Public Const KEY_CTRL = 17
Public Const KEY_ALT = 18

Public Const KEY_ESC = 27
Public Const KEY_TAB = 9
Public Const KEY_BACK = 8
Public Const KEY_ENTER = 13

Public Const KEY_INS = 45
Public Const KEY_DEL = 46
Public Const KEY_HOME = 36
Public Const KEY_END = 35
Public Const KEY_PAGEUP = 33
Public Const KEY_PAGEDOWN = 34

Public Const KEY_CAPSLOCK = 20
Public Const KEY_NUMLOCK = 144
Public Const KEY_SCRLOCK = 145

Public Const KEY_F1 = 112
Public Const KEY_F2 = 113
Public Const KEY_F3 = 114
Public Const KEY_F4 = 115
Public Const KEY_F5 = 116
Public Const KEY_F6 = 117
Public Const KEY_F7 = 118
Public Const KEY_F8 = 119
Public Const KEY_F9 = 120
Public Const KEY_F10 = 121
Public Const KEY_F11 = 122
Public Const KEY_F12 = 123

Public Const KEY_A = 65
Public Const KEY_B = 66
Public Const KEY_C = 67
Public Const KEY_D = 68
Public Const KEY_E = 69
Public Const KEY_F = 70
Public Const KEY_G = 71
Public Const KEY_H = 72
Public Const KEY_I = 73
Public Const KEY_J = 74
Public Const KEY_K = 75
Public Const KEY_L = 76
Public Const KEY_M = 77
Public Const KEY_N = 78
Public Const KEY_O = 79
Public Const KEY_P = 80
Public Const KEY_Q = 81
Public Const KEY_R = 82
Public Const KEY_S = 83
Public Const KEY_T = 84
Public Const KEY_U = 85
Public Const KEY_V = 86
Public Const KEY_W = 87
Public Const KEY_X = 88
Public Const KEY_Y = 89
Public Const KEY_Z = 90




Public Sub GetKeys()
For X = 1 To 255
    If GetKeyState(X) < 0 Then
        Key(X) = True
    Else
        Key(X) = False
    End If
Next X
End Sub

